Bug 38131 - can't compile software using inline functions
can't compile software using inline functions
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
: 46585 49602 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-04-27 18:06 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-01 18:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-27 18:06:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

can't compile lame,avifile : both have in common the use of inline function
for optimization.

Reproducible: Always
Steps to Reproduce:
1.download avifile 0.53.5 or CVS 0.6 or lame 3.87/3.88
2.Try to compile
3.In case it does, the executable is not functional, or it just doesn't

Actual Results:  lame segfualts, avifile just can't compile.
After removing inline functions in avifile 0.53.5, avifile compiles and
works. lame I didn't get to work yet.

Expected Results:  It should compile with inline functions.

thanks for any kind of solution,
Marcel Janssen
Comment 1 Chris Horler 2001-05-03 05:48:37 EDT
avifile 0.6 cvs now compiles, but the binary is useless - the inline functions 
don't work and they control some things such as sound; video without sound 
ain't much.  Removing the inline functions as pointed out on the avifile 
mailing list is not the 'correct' solution.
Comment 2 Richard Henderson 2004-10-01 18:08:46 EDT
No specific test case.  Since lame 3.96 is happily on my machine, I
assume this either works with current gcc or has been worked around.
In either case, lame 3.87 doesn't seem to exist anymore, so I can't
go back and test the original problem.
Comment 3 Richard Henderson 2004-10-01 18:55:29 EDT
*** Bug 46585 has been marked as a duplicate of this bug. ***
Comment 4 Richard Henderson 2004-10-01 19:07:21 EDT
*** Bug 49602 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.